/*
 * Micro-X -- an X server for DOS
 * Copyright (C) 1992 StarNet Communications Corp.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * StarNet Communications Corp.
 * 550 Lakeside Dr. #3
 * Sunnyvale CA 94086 US
 * http://www.starnet.com
 * x-dos@starnet.com
 */

void _fastcall dfputs(char _near *);
void _fastcall printn(unsigned short);
void _fastcall printd(unsigned short);

unsigned long _fastcall ntohl(unsigned long);
unsigned long _fastcall htonl(unsigned long);

void _fastcall int86(char);
int open(char *, char);
int ioctl(int, int, char _near *, int);
int read(int, void *, int);
int write(int, const void *, int);
int close(int);

void patch_vec(unsigned short);
int locate_sys_vector(void);

int _fastcall convert_error(int);
void net_perror(char _near *);
int _fastcall bind(int, unsigned short, int);

int _fastcall bw_init(short _far *);
int _fastcall bw_shutdown(short _far *);
int _fastcall bw_socket(short _far *);
int _fastcall bw_info(short _far *);
int _fastcall bw_accept(short _far *);
int _fastcall bw_drain(short _far *);
int _fastcall bw_release(short _far *);
int _fastcall bw_eof(short _far *);
int _fastcall bw_read(short _far *);
int _fastcall bw_write(short _far *);
int _fastcall bw_recv(short _far *);
int _fastcall bw_sendto(short _far *);
int _fastcall bw_select(short _far *);
